Skip to content

Retrieves details of a one-time link
deprecated

Request

POST {{baseURL}}/pay-int-api/quick-payments/one-time/{{quickPaymentId}}

This endpoint is deprecated. Quick Payments will be removed at the end of December 2026.

To retrieve a payment link, use GET /v2/payment-links/{{paymentLinkId}} instead.

This endpoint Retrieves details of a one-time payment.

The link may be valid or expired.

See Also:
To create a one-time payment link, see POST /pay-int-api/quick-payments/one-time.
To list one-time payment links, see GET /pay-int-api/quick-payments/one-time.
To activate a payment link, see POST /pay-int-api/quick-payments/{quickPaymentId}/activate.
To send a payment link by SMS, see POST /pay-int-api/quick-payments/{quickPaymentId}/send-sms-notification.

Security
Bearer
Path
quickPaymentIdstring, (uuid)required

Specifies the payment link identifier.

This value is returned from either:

Example:0423617a-2004-4516-935d-e5ad4bbbe93e
Headers
x-api-versionstring

Specifies the API version to use for the request.

Example: 1.0

Example:1.0
curl -i -X GET \
  https://developer.flute.com/_mock/api-reference/pay-int-api/quick-payments/one-time/0423617a-2004-4516-935d-e5ad4bbbe93e \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-version: 1.0'

Responses

OK

Bodyapplication/json
idstring, (uuid)

Indicates the payment reference link identifier, also known as the quickPaymentId.

Example: c8c67f32-aca5-47c4-b10e-123086a43075

Example:"c8c67f32-aca5-47c4-b10e-123086a43075"
amountnumber, (double), decimal places <= 2

Indicates the amount (in USD) of the one-time payment.

Example: 45.99 (for $45.99)

Example:45.99
referenceIdstring or null

Indicates the ReferenceId.

Example: 10001

Example:"10001"
statusinteger, (int32)

Payment link status.

Possible values:

Status IDStatusDescription
1ActiveThe link is active and can be used.
2InactiveThe link is inactive and cannot be used.
3ExpiredThe link is inactive by timing out.
4CompletedThe link is inactive by having been used successfully.
shortUrlstring or null

Indicates a shortened version of the URL to the invoice's public payment page.

These are generated by Flute and are the hosted page the customer opens to pay. This is the compact form. It is better suited for SMS messages, printed materials, anywhere character count or a tidy appearance matters.

Example: https://pay.flute.example.com/qp/c8c67f32

Example:"https://pay.flute.example.com/qp/c8c67f32"
customerIdstring or null, (uuid)

Specifies the customer identifier.

This is used when saving the payment method.
If this value is provided, the payment method is saved to the specified customer.
If this value is not provided, a new customer record is created.

Example: fd9198a4-eb6f-4620-9603-4f4638289de5

Example:"fd9198a4-eb6f-4620-9603-4f4638289de5"
customerNamestring or null

Indicates the customer's name.

Example: Jane Doe

Example:"Jane Doe"
createdOnstring, (date-time)

Indicates the date-time (in an ISO 8601 date-time UTC format) when the quick payment was created.

Examples: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
Response
{ "id": "c8c67f32-aca5-47c4-b10e-123086a43075", "amount": 45.99, "referenceId": "10001", "status": 0, "shortUrl": "https://pay.flute.example.com/qp/c8c67f32", "customerId": "fd9198a4-eb6f-4620-9603-4f4638289de5", "customerName": "Jane Doe", "createdOn": "2026-02-19T20:24:52.934Z" }